*
* ..File: xclph2p.f 
*
*
* ..Calculation of the O(a_em a_s) MS(bar) photon coefficient function 
*    for FL using a compact parametrization involving only logarithms.
*    Scales: mu_r = mu_f = Q. The expansion parameters are taken as
*    a_em = alpha_em/(4 pi),  a_s = alpha_s/(4 pi).
*
* ..The charge prefactor  delta_f = 3 N_f <e^4>  has to be supplemented 
*    by the calling routines.
*
*  ..The relative accuracy of the coefficient functions, as well as of
*    the convolution results, amounts to a few thousandth.
*
*  ..Reference: S. Moch, J. Vermaseren and A. Vogt, 
*               hep-ph/0110331 = Nucl. Phys. B621 (2002) 413
*
* 
* =====================================================================
*
*
       FUNCTION CLP2A (Y, NF)
       IMPLICIT REAL*8 (A-Z)
       INTEGER NF
*
       DL  = LOG (Y)
       DL1 = LOG (1.-Y)
*
       CLP2A = ((-187.2 + 193.7 * Y) * (1.-Y)*DL1**2 + 737.* (1.-Y)*DL1 
     1          + 452.2 * DL1*DL - 84.87 * Y*DL**2 - 64.25 * (1.-Y)*DL
     2          - 66.44 * (1.-Y) ) / 3.D0
*
       RETURN
       END
*
* =================================================================av==

